<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~pool_registration.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register pooled libraries" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select pools</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr>
				<td class="prompt">Library plate</td>
				<td class="input">
					<select name="bioplate" id="bioplate">
						<option value="0">- manual pools -
					</select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select the library bioplate that should be pooled in this step. The list contains
					all plates with pools that has not yet been created (determined by abscense of creation date).
					Use the <b>manual pools</b> option to select pools that has been manually created.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Pools</td>
				<td class="input">
					<select name="pools" id="pools" size="6" multiple></select>
				</td>
				<td class="status" id="pools.status"></td>
				<td class="help">
					<span id="pools.message" class="message"></span>
					Select the pools to work with. If a plate has been selected no changes can be made.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Pooling results</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Pool date</td>
				<td class="input">
					<input type="text" name="poolDate" id="poolDate"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="poolProtocol"
						style="width: 12em;" maxlength="10">
						<base:icon 
							id="poolDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="poolDate"
							data-date-format="yyyyMMdd"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="poolDate.status"></td>
				<td class="help">
					<span id="poolDate.message" class="message"></span>
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input">
					<select name="poolProtocol" id="poolProtocol" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="poolOperator"
					></select>
				</td>
				<td class="status" id="poolProtocol.status"></td>
				<td class="help">
					<span id="poolProtocol.message" class="message"></span>
					Select the protocol which was used when pooling.
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Operator</td>
				<td class="input">
					<input type="text" name="poolOperator" value="<%=HTML.encodeTags(user.getName()) %>" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="comments"
					>
				</td>
				<td class="status" id="poolOperator.status"></td>
				<td class="help">
					<span id="poolOperator.message" class="message"></span>
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Comments</td>
				<td class="input"></td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the pooling.
				</td>
			</tr>
			
			<tbody id="pool-comments"></tbody>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>