<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.DateFormatter"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	DateFormatter dateFormat = new DateFormatter("yyyy-MM-dd");
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~inca-statistics.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
#not-found
{
	margin: 0 1em 0 4em; 
	padding: 0.5em 1em; 
	font-family: monospace,Courier New;
	max-height: 25em;
	overflow: auto;
}
	table.incafileproptable
	{
		width: 50%;
		border: 1px solid #000000;
		margin-bottom: 1em;
	}
	
	table.incafileproptable > tbody > tr
	{
		vertical-align: middle;
		height: 2.5em;
		max-height: 2.5em;
		border-bottom: 1px solid #000000;
		border-top: 1px solid #000000;
	}

	table.incafileproptable > tbody > tr > th
	{
		text-align: left;
		font-size: 1em;
		background-color: #F0F0F0;
		padding: 4px;
		border-left: 1px solid #000000;
		border-right: 1px solid #000000;
	}

	table.incafileproptable > tbody > tr > th.subprompt
	{
		text-align: right;
		font-weight: normal;
	}

	
	table.incafileproptable > tbody > tr > td
	{
		text-align: left;
		font-size: 1em;
		padding: 4px;
		border-left: 1px solid #000000;
		border-right: 1px solid #000000;
	}
	
	td.propertycolumn
	{
		width: 30em;
	}
	td.valuecolumn
	{
		width: 6em;
	}
	td.statuscolumn
	{
		width: 4em;
	}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="INCA statistics" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select INCA file</div>
		<div class="step-content">
			
			<table class="step-form">
			<tr>
				<td class="prompt">Statistics date variable</td>
				<td class="input">
					<select name="statisticsDateVar" id="statisticsDateVar"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="startDate">
						<option selected value="diagnosis" >Diagnosis date
						<option value="operation">Operation date
					</select>
				</td>
				<td class="status" id="statisticsDateVar.status"></td>
				<td class="help">
					<span id="statisticsDateVar.message" class="message"></span>
					Date variable to use for statistics time filter.
				</td>
			</tr>
			<tr>
				<td class="prompt">Statistics start date</td>
				<td class="input">
					<input type="text" name="startDate" id="startDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="endDate"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="startDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="startDate"
							data-date-format="yyyyMMdd"
							data-title="INCA statistics start date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="startDate.status"></td>
				<td class="help">
					<span id="startDate.message" class="message" style="display: none;"></span>
					(YYYYMMDD or MMDD) The INCA statistics start date.
				</td>
			</tr>
			<tr>
				<td class="prompt">Statistics end date</td>
				<td class="input">
					<input type="text" name="endDate" id="endDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="cancerType"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="endDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="endDate"
							data-date-format="yyyyMMdd"
							data-title="INCA statistics end date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="endDate.status"></td>
				<td class="help">
					<span id="endDate.message" class="message" style="display: none;"></span>
					(YYYYMMDD or MMDD) The INCA statistics end date.
				</td>
			</tr>
			<tr>
				<td class="prompt">Cancer type[s]</td>
				<td class="input">
					<select name="cancerType" id="cancerType"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="incafile">
						<option selected value="all" >All
						<option value="invasive">Invasive cancer with or without cancer in situ
						<option value="insitu">Cancer in situ only
					</select>
				</td>
				<td class="status" id="cancerType.status"></td>
				<td class="help">
					<span id="cancerType.message" class="message"></span>
					Cancer type filter. Option "All" is equal to not applying a cancer type filter. Note that an entry may be labeled both "Invasive" and "In situ".
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">INCA file</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input type="file" name="incafile" id="incafile" class="required" style="width: 95%;" accept=".csv,.tsv">
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="incafile.status"></td>
				<td class="help"><span id="incafile.message" class="message"></span>
					Select INCA file to be used for INCA statistics. The file should be a text file in tab-separated format, where the first line contains column names.
				</td>
			</tr>
			</table>
		</div>
	</div>

	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">INCA file check</div>
		<div class="step-content">

		<div id="incafilenames"></div> 
		<br>
		<div id="statDateDescr"></div>
		<div id="statDateClmHeader"></div>
		<div id="cancerTypeSelected"></div>
		<br>
			<div id="fileproperties">
&nbsp;
<img src="../images/ok.png" style="padding-right: 0.5em;" />= ok
<img src="../images/warning.png" style="padding-left: 0.5em; padding-right: 0.5em;" />= import may still be possible
<img src="../images/error.png" style="padding-left: 0.5em; padding-right: 0.5em;" />= import prohibited
<br>
<br>
<b>&nbsp;INCA file properties - Basic check</b><br>
				<div id="incaFilePropBasicCheckTable"></div>
<br>
<b>&nbsp;INCA file properties - Internal data check</b><br>
				<div id="incaFilePropInternalDataCheckTable"></div>
<br>
<b>&nbsp;INCA file properties - Database consistency check</b>&nbsp;(only lines with personal no. processed)<br>
				<div id="incaFilePropDatabaseConsistencyCheckTable"></div>
<br>
<div id="incaStatisticsTotalStatTableTitle"></div>
				<div id="incaStatisticsTotalStatTable"></div>
<br>
<b>&nbsp;INCA statistics - ER Status</b><br>
				<div id="incaStatisticsErStatTable"></div>
<br>
<b>&nbsp;INCA statistics - PgR Status</b><br>
				<div id="incaStatisticsPgrStatTable"></div>
<br>
<b>&nbsp;INCA statistics - HER2 Status</b><br>
				<div id="incaStatisticsHer2StatTable"></div>
<br>
<b>&nbsp;INCA statistics - Age (years)</b><br>
				<div id="incaStatisticsAgeStatTable"></div>
<br>
<b>&nbsp;INCA statistics - NHG</b><br>
				<div id="incaStatisticsNhgStatTable"></div>
<br>
<b>&nbsp;INCA statistics - Tumor Size (mm)</b><br>
				<div id="incaStatisticsTumorSizeStatTable"></div>
			</div>
			<div id="filepropertymessage"></div>
		</div>
	</div>

	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<div id="not-found" style="display: none;" class="bg-filled-100 fullborder"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gostatistics" title="Statistics" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="simplecheck" title="Simple file check" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="downloadreportfile" title="Download report file" image="<%=home+"/images/download.png"%>" /></td>
		<td><base:button id="downloadstatcsvfile" title="Download CSV file" image="<%=home+"/images/download.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>