<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" title="YellowLabel tracking and reporting">
<base:head 
	scripts="~../reggie-2.js,~list.js" 
	styles="path.css,toolbar.css,~../css/reggie-2.css"
	>
<style>
#specimenTable
{
	width: 100%; 
	border-collapse: collapse;
}

#specimenTable thead
{
	border-bottom-width: 1px;
}

#specimenTable .highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#specimenTable td
{
	text-align: center;
}

#specimenTable tbody td
{
	padding-top: 3px;
	padding-bottom: 3px;
}

#specimenTable tr td:first-child, #specimenTable tr th:first-child
{
	width: 6em;
	text-align: right;
	padding-right: 3px;
	white-space: nowrap;
	font-weight: bold;
}

#specimenTable input[type="text"], #specimenTable select
{
	width: calc(100% - 10px);
}

.in-progress
{
	color: #808080;
	font-style: italic;
}

.missing
{
	color: #E80000;
	font-weight: bold;
}

.completed
{
	color: #666666;
	font-style: italic;
	background-color: #F0F0F0;
}

.pilotreport
{
	/* Makes the text appear bold without changing the width => better alignement between rows */
	text-shadow: -1px 0px 0px; 
	background-color: #F8F0FF;
}

.pilotreport .missing
{
	/* The missing font is already bold, we don't need any text shadow */
	text-shadow: none;
}

.iconcol-1
{
	width: 20px;
}

.iconcol-2
{
	width: 40px;
}

.iconcol-1 img, .iconcol-2 img
{
	float: right;
	padding-right: 3px;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="YellowLabel tracking and reporting" 
		/></p:path>

	<div class="content">

	<div id="page-data" class="datacontainer"
		data-home-reggie="<%=HTML.encodeTags(home) %>"
	></div>

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">YellowLabel specimen (found <span id="num-active">?</span> active and <span id="num-completed">?</span> completed)</div>
		<div class="step-content">
	
			<tbl:toolbar id="yellow-toolbar" subclass="bg-filled-50 bottomborder" style="display: none;">
				<tbl:button
					id="btnMarkAsCompleted"
					image="<%=home + "/images/validate.png"%>"
					title="Mark completed&hellip;"
				/>
				<tbl:button 
					id="btnCreatePilotReportPdf"
					image="<%=home+"/images/pdffile.png"%>"
					title="Re-create report PDFs&hellip;"
				/>
				<tbl:button 
					id="btnCreatePilotReportZip"
					image="file_compressed.png"
					title="Create report ZIP archive&hellip;"
				/>
				<tbl:button 
					id="btnPublishForDelivery"
					image="<%=home+"/images/pdffile.png"%>"
					title="Publish for delivery&hellip;"
				/>
			</tbl:toolbar>

			<table id="specimenTable">
			<thead class="bg-filled-100">
				<tr>
					<th class="index"></th>
					<th class="dottedleft" colspan="6">Specimen</th>
					<th class="dottedleft" colspan="3">RNA</th>
					<th class="dottedleft" colspan="2">Library</th>
					<th class="dottedleft" colspan="2">Raw bioassay</th>
					<th class="dottedleft" colspan="2">Reports</th>
					<th class="dottedleft" colspan="1">Completed</th>
					<th class="dottedleft" colspan="1">Downloaded</th>
				</tr>
		
				<tr>
					<th></th>
					<th class="dottedleft" colspan="2" style="width: 10em;">Name</th>
					<th>Site</th>
					<th>Sampling date</th>
					<th>Arrival date</th>
					<th>Consent date</th>
					<th class="dottedleft" colspan="2">Extraction date</th>
					<th>RQS/RIN</th>
					<th class="dottedleft" colspan="2">Created date</th>
					<th class="dottedleft" colspan="2">Created date</th>
					<th class="dottedleft" colspan="2">Pilot report</th>
					<th class="dottedleft">Date</th>
					<th class="dottedleft">Date (Count)</th>
				</tr>
				
				<tr>
					<th><base:icon image="check_uncheck.png" id="check_uncheck" /></th>
					<th class="dottedleft" colspan="2"><input type="text" name="nameFilter" id="nameFilter"></th>
					<th>
						<select name="siteFilter" id="siteFilter">
							<option value="">&nbsp;
						</select>
					</th>
					<th><input type="text" name="samplingDateFilter" id="samplingDateFilter"></th>
					<th><input type="text" name="arrivalDateFilter" id="arrivalDateFilter"></th>
					<th><input type="text" name="consentDateFilter" id="consentDateFilter"></th>
					<th class="dottedleft" colspan="2"><input type="text" name="extractionDateFilter" id="extractionDateFilter"></th>
					<th><input type="text" name="rnaqcFilter" id="rnaqcFilter"></th>
					<th class="dottedleft" colspan="2"><input type="text" name="libraryDateFilter" id="libraryDateFilter"></th>
					<th class="dottedleft" colspan="2"><input type="text" name="rawBioAssayDateFilter" id="rawBioAssayDateFilter"></th>
					<th class="dottedleft" colspan="2"><input type="text" name="pilotReportDateFilter" id="pilotReportDateFilter"></th>
					<th class="dottedleft"><input type="text" name="completedDateFilter" id="completedDateFilter"></th>
					<th class="dottedleft"><input type="text" name="downloadedDateFilter" id="downloadedDateFilter"></th>
				</tr>
			</thead>
			<tbody id="specimen-list">
			</tbody>
			<tbody id="no-matching-specimen" style="display: none;">
				<tr>
					<th></th>
					<td class="dottedleft" colspan="8" style="text-align: left; font-weight: bold; padding: 1em;">
						No specimen matches the filter
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>